Models/ErrorViewModel.cs
using System;

namespace UserManagement.Models
{
    public class ErrorViewModel
    {
        public string RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
    }
}

Models/UserInformation.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace UserManagement.Models
{
    public class UserInformation
    {
        public int Id { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string DeliveryAddress { get; set; }
        public string BillingAddress { get; set; }
    }
}

Controllers/UserInformationController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using UserManagement.Service;
using UserManagement.Models;

namespace UserManagement.Controllers
{
    public class UserInformationController : Controller
    {
        UserInformationRepository _repository = new UserInformationRepository();
        public IActionResult Index()
        {
            return View();
        }
        public IActionResult Edit()
        {
            return View();
        }
        public IActionResult Create()
        {
            return View();
        }

        //get all user
        public async Task<List<UserInformation>> GetAllUsers()
        {
            var list = new List<UserInformation>();
            try
            {
                list = await _repository.GetAllUserInformations();
            }
            catch (Exception)
            {
                this.HttpContext.Response.StatusCode = 500;
                
            }
            return list;
        }
        
        //update user
        public async Task<UserInformation> UpdateUserInformation(UserInformation userInformation)
        {
            UserInformation user = new UserInformation();
            try
            {
                user = await _repository.UpdateUserById(userInformation);
            }
            catch (Exception)
            {
                this.HttpContext.Response.StatusCode = 500;
            }
            return user;

        }
        //delete
        
        public async Task<UserInformation> DeleteUserInformation(int UserId)
        {
            UserInformation user = new UserInformation();
            try
            {
                user = await _repository.DeleteUserById(UserId);
            }
            catch (Exception)
            {
                this.HttpContext.Response.StatusCode = 500;
            }
            return user;
        }
        //get user by id
        public async Task<UserInformation> GetUserInformation(int UserId)
        {
            UserInformation user = new UserInformation();
            try
            {
                user = await _repository.GetUserById(UserId);
            }
            catch (Exception)
            {
                this.HttpContext.Response.StatusCode = 500;
            }
            return user;
        }

        public async Task<UserInformation> SaveUserInformation(UserInformation userInformation)
        {
            UserInformation user = new UserInformation();
            try
            {
                user = await _repository.SaveUser(userInformation);
            }
            catch (Exception)
            {
                this.HttpContext.Response.StatusCode = 500;
            }
            return user;
        }
    }
}

Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - UserManagement</title>

    @*<environment include="Development">
            <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.css" />
            <link rel="stylesheet" href="~/css/site.css" />
        </environment>
        <environment exclude="Development">
            <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css"
                  asp-fallback-href="~/lib/bootstrap/dist/css/bootstrap.min.css"
                  asp-fallback-test-class="sr-only" asp-fallback-test-property="position" asp-fallback-test-value="absolute" />
            <link rel="stylesheet" href="~/css/site.min.css" asp-append-version="true" />
        </environment>*@
    

    <script type="text/javascript" src="~/lib/jquery/dist/jquery.js"></script>

    <script type="text/javascript" src="~/lib/jquery/dist/jquery.js"></script>
    @*<script type="text/javascript" src="~/lib/angular/angular.min.js"></script>*@
    <script type="text/javascript" src="~/js/angular.min.js"></script>

    <script src="~/lib/angular/dirPagination.js" type="text/javascript"></script>
    <script type="text/javascript" src="~/js/script.js"></script>

    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.css" />
    <link rel="stylesheet" href="~/css/site.css" />
</head>
<body>
    <nav class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a asp-area="" asp-controller="Home" asp-action="Index" class="navbar-brand">UserManagement</a>
            </div>
            <div class="navbar-collapse collapse">
                @*<ul class="nav navbar-nav">
                    <li><a asp-area="" asp-controller="Home" asp-action="Index">Home</a></li>
                    <li><a asp-area="" asp-controller="Home" asp-action="About">About</a></li>
                    <li><a asp-area="" asp-controller="Home" asp-action="Contact">Contact</a></li>
                </ul>*@
            </div>
        </div>
    </nav>

    @*<partial name="_CookieConsentPartial" />*@

    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer>
            <p>&copy; 2021 - UserManagement</p>
        </footer>
    </div>

    @*<environment include="Development">
        <script src="~/lib/jquery/dist/jquery.js"></script>
        <script src="~/lib/bootstrap/dist/js/bootstrap.js"></script>
        <script src="~/js/site.js" asp-append-version="true"></script>
    </environment>
    <environment exclude="Development">
        <script src="https://ajax.aspnetcdn.com/ajax/jquery/jquery-3.3.1.min.js"
                asp-fallback-src="~/lib/jquery/dist/jquery.min.js"
                asp-fallback-test="window.jQuery"
                crossorigin="anonymous"
                integrity="sha384-tsQFqpEReu7ZLhBV2VZlAu7zcOV+rXbYlF2cqB8txI/8aZajjp4Bqd+V6D5IgvKT">
        </script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"
                asp-fallback-src="~/lib/bootstrap/dist/js/bootstrap.min.js"
                asp-fallback-test="window.jQuery && window.jQuery.fn && window.jQuery.fn.modal"
                crossorigin="anonymous"
                integrity="sha384-aJ21OjlMXNL5UyIl/XNwTMqvzeRMZH2w8c5cRVpzpU8Y5bApTppSuUkhZXN0VxHd">
        </script>
        <script src="~/js/site.min.js" asp-append-version="true"></script>
    </environment>*@

    @RenderSection("Scripts", required: false)
</body>
</html>

Views/UserInformation/Create.cshtml
@model UserManagement.Models.UserInformation

@{
    ViewData["Title"] = "Regsiter";
}

<h2>Regsiter</h2>

<h4>UserInformation</h4>
<hr />
<div ng-app="userInformationApp" ng-controller="userInformationController">
    <div class="col-md-4">
        <form ng-submit="saveUser(user)">
            <div class="form-group">
                <label class="control-label"> First Name</label>
                <input class="form-control" ng-model="user.firstName" required />
            </div>
            <div class="form-group">
                <label class="control-label"> Last Name</label>
                <input class="form-control" ng-model="user.lastName" required />
            </div>
            <div class="form-group">
                <label class="control-label"> Billing Address</label>
                <input class="form-control" ng-model="user.billingAddress" required />
            </div>
            <div class="form-group">
                <label class="control-label"> Delivery Address</label>
                <input class="form-control" ng-model="user.deliveryAddress" required />
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </form>
    </div>
</div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}

Views/UserInformation/Edit.cshtml
@{
    ViewData["Title"] = "Edit";
}

<h2>Edit</h2>

<h4>UserInformation</h4>
<hr />
<div ng-app="userInformationApp" ng-controller="userInformationController">
    <div class="col-md-4">
        <form ng-submit="updateUser(user)">

            <div class="form-group">
                <label class="control-label"> First Name</label>
                <input class="form-control" ng-model="user.firstName" required />
            </div>
            <div class="form-group">
                <label class="control-label"> Last Name</label>
                <input class="form-control" ng-model="user.lastName" required />
            </div>
            <div class="form-group">
                <label class="control-label"> Billing Address</label>
                <input class="form-control" ng-model="user.billingAddress" required />
            </div>
            <div class="form-group">
                <label class="control-label"> Delivery Address</label>
                <input class="form-control" ng-model="user.deliveryAddress" required />
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

Views/UserInformation/Index.cshtml
@{
    ViewData["Title"] = "User Information";
}


<h2>User Information</h2>
<div ng-app="userInformationApp" ng-controller="userInformationController">
    <p>
        <a asp-controller="UserInformation" asp-action="Create">Create New</a>
    </p>
    <form>
        <div class="form-group">
            <label>Search</label>
            <input type="text" ng-model="search" class="form-control" placeholder="Search" />
        </div>
    </form>
    <table class="table">
        <thead>
            <tr>
                <th>
                    First Name
                </th>
                <th>
                    Last Name
                </th>
                <th>
                    Delivery Address
                </th>
                <th>
                    Billing Address
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody dir-paginate="user in userList | orderBy: sortKey:reverse | itemsPerPage:5 | filter: search ">
            <tr>

                <td>
                    {{user.firstName}}
                </td>
                <td>
                    {{user.lastName}}
                </td>
                <td>
                    {{user.deliveryAddress}}
                </td>
                <td>
                    {{user.billingAddress}}
                </td>

                <td>
                    <a asp-controller="UserInformation" asp-action="Edit" ng-click="gotoEdit(user.id)">Edit</a>
                    <a ng-click="deleteUser(user.id)">Delete</a>
                </td>
            </tr>
        </tbody>
        <dir-pagination-controls max-size="5"
                                 direction-links="true"
                                 boundary-links="true">
        </dir-pagination-controls>
    </table>

</div>
<script src="~/js/dirPagination.js" type="text/javascript"></script>
<script type="text/javascript" src="~/js/script.js"></script>